API
Stagingv2

Trading

Order enquiry

Look up the current state of a single order by its order number.

POST/v2/vendor/order/enquiry
Requires scopeorder.enquiry

Body parameters

ParameterDescription
orderNumber
string
required
The order number to enquire on.

Response fields

FieldDescription
data
object
Raw order record passed through from the exchange trading system.
Request
curl -X POST "https://stagingmobile.nasdng.com/v2/vendor/order/enquiry" \
  -H "Authorization: Bearer sk_test_xxxxxxxxxxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{
    "orderNumber": "62840"
  }'
const res = await fetch("https://stagingmobile.nasdng.com/v2/vendor/order/enquiry", {
  method: "POST",
  headers: {
    Authorization: "Bearer sk_test_xxxxxxxxxxxxxxxxxxxxxxxx",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "orderNumber": "62840"
  }),
});
const { data } = await res.json();
import requests

res = requests.post(
    "https://stagingmobile.nasdng.com/v2/vendor/order/enquiry",
    json={
        "orderNumber": "62840",
    },
    headers={"Authorization": "Bearer sk_test_xxxxxxxxxxxxxxxxxxxxxxxx"},
)
data = res.json()
Response 200 OK
{
  "success": true,
  "message": "Order enquiry fetched successfully",
  "data": {
    "OrderNo": 62840,
    "Company": "SDNASDPLC",
    "OrderType": "BUY",
    "Quantity": 10,
    "MatchedQuantity": 0,
    "PendingQuantity": 10,
    "BasePrice": 40,
    "Status": "Open"
  }
}